Subject: Notification: incoming/604

From: [email-masked]
Date: Mon, 1 May 2000 21:38:33 -0500 (CDT)

FVWM Bug Tracking notification

new message incoming/604

Message summary for PR#604
	From: [email-masked]
	Subject: FvwmAnimate kills ActivePlacement
	Date: Mon, 1 May 2000 21:38:31 -0500 (CDT)
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 3 May 2000 05:34:46 +0200

On Mon, May 01, 2000 at 09:38:33PM -0500, [email-masked] wrote:
> >From [email-masked]  Mon May  1 21:38:32 2000
> Received: from localhost (localhost [127.0.0.1])
> 	by larry.math.uh.edu (8.9.1/8.9.1) with ESMTP id VAA17129
> 	for <[email-masked]>; Mon, 1 May 2000 21:38:31 -0500 (CDT)
> Message-Id: <[email-masked]>
> To: [email-masked]
> Full_Name: Ian
> Version: Fvwm Version 2.2.4
> CVS_Date: 
> OS: Linux narcissus 2.3.99-pre3 #5 Fri Apr 7 11:03:09 CDT 2000 i586 unknown
> 
> X_Server: Xfree86 3.3.6
> Submission from: (NULL) (207.170.82.194)
> 
> 
> I use Style "*" ActivePlacement. If I activate the FvwmAnimate module,
> then
> I get non-interactive window placement.
> If I then kill the Animate process, then the interactive window placement
> comes back.

'ActivePlacement' is not enough to enforce interactive placement.
You have to use the DumbPlacement style also.  Otherwise windows
are only placed interactively if the 'Smart' placement algorithm
fails.

  Style "*" ActivePlacement, DumbPlacement

Does this solve your problem?  If not, please send me your
complete fvwm config file.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Ian and Iris <[email-masked]>
Date: Sun, 07 May 2000 16:20:46 -0500

> complete fvwm config file.

This solved the problem.
I now consider this a documentation bug.

Without Animate, ActivePlacement is sufficient to enforce interactive placement
on my system. I never mentioned smart/dumb/random placement in the .fvwm2rc file
before now.

>From the man page:

              RandomPlacement causes windows which would normally
              require user placement to be  automatically  placed
              in ever-so-slightly random locations.  For the best

                        late 20th century                      55

FVWM(2.xx)                                             FVWM(2.xx)

              of all possible worlds use both RandomPlacement and
              SmartPlacement.

              SmartPlacement  causes windows which would normally
              require user placement to be  automatically  placed
              in  a  smart location - a location in which they do
              not overlap any other windows on the screen.  If no
              such position can be found user placement or random
              placement (if specified) will be used  as  a  fall-
              back  method.   For the best of all possible worlds
              use both RandomPlacement and SmartPlacement.

Note that ActivePlacement and DumbPlacement are never specifically defined. It's
easy to misinterpret this to mean that there are three possible behaviors:
ActivePlacement, RandomPlacement, and SmartPlacement, which falls back on random
when stumped.

I would be happy to write a paragraph for the man page which covers this.

Would you guys like that?
Should I send diffs?

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 8 May 2000 07:36:43 +0200

> on my system. I never mentioned smart/dumb/random placement in the .fvwm2rc file
...
> Would you guys like that?

Why not, go ahead.

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Ian and Iris <[email-masked]>
Date: Mon, 08 May 2000 21:06:32 -0500

Have some diffs to the man page.

--- fvwm2.1.orig	Mon May  8 20:23:42 2000
+++ fvwm2.1	Mon May  8 21:03:57 2000
@@ -2542,21 +2542,47 @@
 window (unless you click on it, that is), which makes it possible to
 move the mouse out of the way without losing focus.
 
+Placement Styles:
+
+Applications can place windows at a particular spot on-screen either by
+window manager hints or geometry specification. When they do neither, then
+the window manager steps in to find a place for the window.
+
+FVWM2 knows three ways to deal with this situation: Smart placement, Random
+placement, and (inter)Active placement.
+
+FVWM2 first tries smart placement. If this fails (or you have specified
+DumbPlacement) then FVWM2 will fall back on either random or active (user)
+placement.
+
 \fINoPPosition\fP instructs fvwm to ignore the PPosition field when adding
 new windows.  Adherence to the PPosition field is required for some
-applications, but if you don't have one of those its a real headache.
+applications, but if you don't have one of those its a real headache. Many
+programs set this field to something obnoxious like 0,0 (upper left).
+
+\fIActivePlacement\fP causes those windows not placed by SmartPlacement to
+require user placement. The window will only show as a rubber band until a
+place is selected manually. (Normally, this means clicking button 1.) If you
+like this a lot, you'll probably also want DumbPlacement. See also
+RandomPlacement, DumbPlacement, SmartPlacement.
 
 \fIRandomPlacement\fP causes windows which would normally require user
-placement to be automatically placed in ever-so-slightly random
-locations.  For the best of all possible worlds use both
-RandomPlacement and SmartPlacement.
-
-\fISmartPlacement\fP causes windows which would normally require user
-placement to be automatically placed in a smart location - a location
-in which they do not overlap any other windows on the screen.  If no
-such position can be found user placement or random placement (if
-specified) will be used as a fall-back method.  For the best of all
-possible worlds use both RandomPlacement and SmartPlacement.
+placement to be automatically placed in ever-so-slightly random locations. 
+For the best of all possible worlds use both RandomPlacement and
+SmartPlacement. See also ActivePlacement, SmartPlacement and DumbPlacement.
+
+\fIDumbPlacement\fP is the opposite of SmartPlacement. This means that FVWM2
+will not even consider a "Smart" window location. It forces FVWM to use the
+selected ActivePlacement or RandomPlacement behavior. Note that the default
+seems to be SmartPlacement, so if you really like your ActivePlacement, then
+specify this as well.
+
+\fISmartPlacement\fP tries to automatically place new windows in a smart
+location - a location in which they do not overlap any other windows on the
+screen.  If no such position can be found user placement or random placement
+(if specified) will be used as a fall-back method.  For the best of all
+possible worlds use both RandomPlacement and SmartPlacement. See also
+ActivePlacement, RandomPlacement, and DumbPlacement.
 
 An example:
 .EX

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 9 May 2000 09:56:41 +0200

> Have some diffs to the man page.

[snip]

Thanks.  I have adapted this to the latest development version
and applied it.

Bye

Dominik ^_^